%global debug_package %{nil}

Name:           libstp2-extras
Version:        1.0.4
Release:        1
Summary:        Extra files for libstp2
BuildArch:      %{_target_cpu}

License:        Apache-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  ncurses-devel
BuildRequires:  libstp2
Requires:       libstp2

%description
This package contains extra files for libstp2.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
mkdir -p %{buildroot}/%{_mandir}/man1
gcc libstp2.c -I/usr/lib64/libstp/2 -L/usr/lib64/libstp/2 /usr/lib64/libstp/2/libstp-c.so -lncurses -o libstp2
cp libstp2 %{buildroot}/%{_bindir}
cp libstp2.1 %{buildroot}/%{_mandir}/man1
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}

%files
%license %{_datadir}/licenses/%{name}/LICENSE
%{_bindir}/libstp2
%{_mandir}/man1/libstp2.1*

%changelog
%autochangelog
